Get All Shipments by Status

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this endpoint to retrieve summary information about all the shipments with a specific status (passed in API end point url).

Endpoint

HTTP Method: GET

Endpoint URL: https://coreapi.impexdocs.com/api/v1/shipment/status/{shipment_status}

Authentication: Required

Response Format (Successfully Retrieved)

A successful retrieval will yield a JSON response containing the following details:

  • Shipment Number
  • Shipment Status
  • Shipment Docs Id
  • Shipment Folder Details Id

Request Parameters

To fetch list of shipment with specific status, provide the required field, which is the "Status" {status}.

Example

Request

GET https://coreapi.impexdocs.com/api/v1/shipment/status/{shipment_status}

Response

[
    {
        "shipment_no": "DemoShipment-310124",
        "shipment_status": "Created",
        "shipmentdocs_id": "d5257b41-34f4-4b77-b0da-64a06bbbe811",
        "shipmentfolderdetail_id": "5eb467db-5150-4868-9996-4b5c8dcdf274"
    },
    {
        "shipment_no": "SH_Demo",
        "shipment_status": "Created",
        "shipmentdocs_id": "815554b5-e1fb-4905-9f0e-378a80596e8d",
        "shipmentfolderdetail_id": "5bbbaccf-db4e-42ea-a53b-45b9b15c4a92"
    },
    {
        "shipment_no": "DemoShipment_56",
        "shipment_status": "Created",
        "shipmentdocs_id": "b7f00bbf-e042-4d3a-ab11-2ff60dd67906",
        "shipmentfolderdetail_id": "68d7bf08-2f12-4300-9fc8-4e6fb18f71fe"
    },
  
  //Additional API Details
  
]  

This example demonstrates a request to fetch the list of shipments with summary information with the provided status. The response includes details such as the Shipment Number, Shipment Status, Shipment Docs Id & Shipment Folder Detail Id.

Path Params
string
required
Headers
string | null

Company ID (Optional)

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

500

Server Error

503

Server Error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json